Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class FilterImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.FilterImpl

All Implemented Interfaces:
  java.io.Serializable

    public class FilterImpl

extends java.lang.Object
implements java.io.Serializable

Data structure to support WebApplicationDefinition for marshalling and unmarshalling of web.xml. Not needed by the Pluto container.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private org.apache.pluto.om.common.DisplayNameSet` | `displayNames`
`private java.lang.String` | `filterClass`
`private java.lang.String` | `filterName`
`private IconImpl` | `icon`
`private org.apache.pluto.om.common.ParameterSet` | `initParams`

Constructor Summary
`FilterImpl()`

Method Summary
`org.apache.pluto.om.common.DescriptionSet` | `getDescriptions()`
`org.apache.pluto.om.common.DisplayNameSet` | `getDisplayNames()`
`java.lang.String` | `getFilterClass()`
`java.lang.String` | `getFilterName()`
`IconImpl` | `getIcon()`
`org.apache.pluto.om.common.ParameterSet` | `getInitParameters()`
`void` | `setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setDisplayNames(org.apache.pluto.om.common.DisplayNameSet displayNames)`
`void` | `setFilterClass(java.lang.String filterClass)`
`void` | `setFilterName(java.lang.String filterName)`
`void` | `setIcon(IconImpl icon)`
`void` | `setInitParamteters(org.apache.pluto.om.common.ParameterSet initParams)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### icon

    private IconImpl icon

### filterName

    private java.lang.String filterName

### displayNames

    private org.apache.pluto.om.common.DisplayNameSet displayNames

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

### filterClass

    private java.lang.String filterClass

### initParams

    private org.apache.pluto.om.common.ParameterSet initParams

Constructor Detail

### FilterImpl

    public FilterImpl()

Method Detail

### getIcon

    public IconImpl getIcon()

### setIcon

    public void setIcon(IconImpl icon)

### getFilterName

    public java.lang.String getFilterName()

### setFilterName

    public void setFilterName(java.lang.String filterName)

### getDisplayNames

    public org.apache.pluto.om.common.DisplayNameSet getDisplayNames()

### setDisplayNames

    public void setDisplayNames(org.apache.pluto.om.common.DisplayNameSet displayNames)

### getDescriptions

    public org.apache.pluto.om.common.DescriptionSet getDescriptions()

### setDescriptions

    public void setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)

### getFilterClass

    public java.lang.String getFilterClass()

### setFilterClass

    public void setFilterClass(java.lang.String filterClass)

### getInitParameters

    public org.apache.pluto.om.common.ParameterSet getInitParameters()

### setInitParamteters

    public void setInitParamteters(org.apache.pluto.om.common.ParameterSet initParams)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD